Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.6.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto: PGSSV 1
Has patch: Hito: Fase 03
Add-on name: Unknown
Description

228 ERROR No se puede realizar un filtro por un campo calculado.

Modificando el favorito que adjunto en la pestaña de Avanzado de la siguiente forma:

((( ("ARENA2_ACCIDENTES"."TITULARIDAD_VIA" = 2) ) AND ( ("ARENA2_ACCIDENTES"."FECHA_ACCIDENTE" >= DATE
'2020-01-01') )) AND ( ("ARENA2_ACCIDENTES"."FECHA_ACCIDENTE" <= DATE '2020-12-31') ))AND (
("ARENA2_ACCIDENTES"."SUBTIPO_VIA2" = 'Sin Datos') )

El programa no permite filtrar por el campo calculado “SUBTIPO_VIA2". Según el log dice que “No existe”. Además da el error de
postproceso.

Associated revisions
Revision 46172 - 01/06/2022 11:55 PM - Óscar Martínez

refs #5707 #5718 Iconos en el expresion builder sobre campos calculados que aparezcan correctamente

History
#1 - 01/06/2022 11:53 PM - Óscar Martínez
- Status changed from New to In progress

#2 - 01/06/2022 11:54 PM - Óscar Martínez

Parece que el problema viene al declarar el campo como "ARENA2_ACCIDENTES"."SUBTIPO_VIA2", en pruebas diferentes al poner solo el campo
como "SUBTIPO_VIA2" ha funcionado correctamente.

#3 - 08/04/2023 01:40 PM - Álvaro Anguix
- Status changed from In progress to Outdated

Files
guest@BOOKMARKS!SearchPanel!T06-AC Listado Acc SUBTIPO_VIA2 2020(1)21 KB 12/10/2021 Óscar Martínez
gvSIG(4).log 492 KB 12/10/2021 Óscar Martínez
